# data source
spring.datasource.driverClassName=org.h2.Driver
spring.datasource.url=jdbc:h2:mem:alura-forum
spring.datasource.username=sa
spring.datasource.password=

# jpa
spring.jpa.database-platform=org.hibernate.dialect.H2Dialect
spring.jpa.hibernate.ddl-auto=update
spring.jpa.properties.hibernate.show_sql=false
spring.jpa.properties.hibernate.format_sql=false

# h2
spring.h2.console.enabled=true
spring.h2.console.path=/h2-console

# jwt
forum.jwt.secret=q)%Z4X_(nsrccfj,nBV4H/BFPB@X9g:<7mhLz'6jhu-$vTk3VxBP~]5Y`8&ffY^b9nW!{Hz.uA,aSMw8u,s?+T26`M^&!9q>2/,;?!)RYdRb^bhj/Nm7S7Jg7g"5!yT+
forum.jwt.expiration=86400000

# configs do acturator
management.endpoints.web.exposure.include=*
management.endpoints.web.exposure.exclude=beans
management.endpoint.health.show-details=always
info.app.name=@project.name@
info.app.description=@project.description@
info.app.version=@project.version@
info.app.encoding=@project.build.sourceEncoding@
info.app.java.version=@java.version@

# spring boot admin 
spring.boot.admin.client.url=http://localhost:9001  
